Loading...
Searching...
No Matches
Serializable Class Referenceabstract

`#include <serializable.h>`

## Public Member Functions

virtual | ~Serializable ()
virtual void | Serialize (std::ostream &stream) const =0
virtual void | Unserialize (std::istream &stream)=0

## Static Public Member Functions

template<typename T>
static void | SerializeToUInt64 (std::ostream &stream, T value)
template<typename T>
static void | SerializeToUInt32 (std::ostream &stream, T value)
template<typename T>
static void | SerializeToUInt16 (std::ostream &stream, T value)
template<typename T>
static void | SerializeToUInt8 (std::ostream &stream, T value)
static void | SerializeToBool8 (std::ostream &stream, bool value)
static void | SerializeToFloat (std::ostream &stream, float value)
static void | SerializeToDouble (std::ostream &stream, double value)
static void | SerializeToLDouble (std::ostream &stream, long double value)
static void | SerializeToLDoubleC (std::ostream &stream, std::complex< long double > value)
static void | SerializeToString (std::ostream &stream, const std::string &str)
static void | SerializeTo32bString (std::ostream &stream, const std::string &str)
static uint64_t | UnserializeUInt64 (std::istream &stream)
static uint32_t | UnserializeUInt32 (std::istream &stream)
static uint16_t | UnserializeUInt16 (std::istream &stream)
static uint8_t | UnserializeUInt8 (std::istream &stream)
static bool | UnserializeBool8 (std::istream &stream)
static double | UnserializeFloat (std::istream &stream)
static double | UnserializeDouble (std::istream &stream)
static long double | UnserializeLDouble (std::istream &stream)
static std::complex< long double > | UnserializeLDoubleC (std::istream &stream)
static void | UnserializeString (std::istream &stream, std::string &destStr)
static void | Unserialize32bString (std::istream &stream, std::string &destStr)

## Static Private Member Functions

template<typename T>
static T | Unserialize (std::istream &stream)

## Detailed Description

Definition at line 9 of file serializable.h.

## Constructor & Destructor Documentation

## ~Serializable()

virtual Serializable::~Serializable | ( |  | ) |

inline virtual

Definition at line 11 of file serializable.h.

## Member Function Documentation

## Serialize()

virtual void Serializable::Serialize | ( | std::ostream & | stream | ) | const

pure virtual

Implemented in dyscostman::ThreadedDyscoColumn< DataType >::Header.

## SerializeTo32bString()

void Serializable::SerializeTo32bString | ( | std::ostream & | stream,
|  | const std::string & | str )

inline static

Definition at line 66 of file serializable.h.

References SerializeToUInt32().

## SerializeToBool8()

void Serializable::SerializeToBool8 | ( | std::ostream & | stream,
|  | bool | value )

inline static

Definition at line 39 of file serializable.h.

## SerializeToDouble()

void Serializable::SerializeToDouble | ( | std::ostream & | stream,
|  | double | value )

inline static

Definition at line 48 of file serializable.h.

## SerializeToFloat()

void Serializable::SerializeToFloat | ( | std::ostream & | stream,
|  | float | value )

inline static

Definition at line 44 of file serializable.h.

## SerializeToLDouble()

void Serializable::SerializeToLDouble | ( | std::ostream & | stream,
|  | long double | value )

inline static

Definition at line 52 of file serializable.h.

## SerializeToLDoubleC()

void Serializable::SerializeToLDoubleC | ( | std::ostream & | stream,
|  | std::complex< long double > | value )

inline static

Definition at line 56 of file serializable.h.

## SerializeToString()

void Serializable::SerializeToString | ( | std::ostream & | stream,
|  | const std::string & | str )

inline static

Definition at line 61 of file serializable.h.

References SerializeToUInt64().

## SerializeToUInt16()

template<typename T>

void Serializable::SerializeToUInt16 | ( | std::ostream & | stream,
|  | T | value )

inline static

Definition at line 28 of file serializable.h.

## SerializeToUInt32()

template<typename T>

void Serializable::SerializeToUInt32 | ( | std::ostream & | stream,
|  | T | value )

inline static

Definition at line 22 of file serializable.h.

Referenced by dyscostman::ThreadedDyscoColumn< DataType >::Header::Serialize(), and SerializeTo32bString().

## SerializeToUInt64()

template<typename T>

void Serializable::SerializeToUInt64 | ( | std::ostream & | stream,
|  | T | value )

inline static

Definition at line 16 of file serializable.h.

Referenced by SerializeToString().

## SerializeToUInt8()

template<typename T>

void Serializable::SerializeToUInt8 | ( | std::ostream & | stream,
|  | T | value )

inline static

Definition at line 34 of file serializable.h.

## Unserialize() [1/2]

template<typename T>

T Serializable::Unserialize | ( | std::istream & | stream | ) |

inline static private

Definition at line 126 of file serializable.h.

## Unserialize() [2/2]

virtual void Serializable::Unserialize | ( | std::istream & | stream | ) |

pure virtual

Implemented in dyscostman::ThreadedDyscoColumn< DataType >::Header.

Referenced by UnserializeBool8(), UnserializeDouble(), UnserializeFloat(), UnserializeLDouble(), UnserializeLDoubleC(), UnserializeUInt16(), UnserializeUInt32(), UnserializeUInt64(), and UnserializeUInt8().

## Unserialize32bString()

void Serializable::Unserialize32bString | ( | std::istream & | stream,
|  | std::string & | destStr )

inline static

Definition at line 116 of file serializable.h.

References UnserializeUInt32().

## UnserializeBool8()

bool Serializable::UnserializeBool8 | ( | std::istream & | stream | ) |

inline static

Definition at line 88 of file serializable.h.

References Unserialize().

## UnserializeDouble()

double Serializable::UnserializeDouble | ( | std::istream & | stream | ) |

inline static

Definition at line 96 of file serializable.h.

References Unserialize().

## UnserializeFloat()

double Serializable::UnserializeFloat | ( | std::istream & | stream | ) |

inline static

Definition at line 92 of file serializable.h.

References Unserialize().

## UnserializeLDouble()

long double Serializable::UnserializeLDouble | ( | std::istream & | stream | ) |

inline static

Definition at line 100 of file serializable.h.

References Unserialize().

## UnserializeLDoubleC()

std::complex< long double > Serializable::UnserializeLDoubleC | ( | std::istream & | stream | ) |

inline static

Definition at line 104 of file serializable.h.

References Unserialize().

## UnserializeString()

void Serializable::UnserializeString | ( | std::istream & | stream,
|  | std::string & | destStr )

inline static

Definition at line 108 of file serializable.h.

References UnserializeUInt64().

## UnserializeUInt16()

uint16_t Serializable::UnserializeUInt16 | ( | std::istream & | stream | ) |

inline static

Definition at line 80 of file serializable.h.

References Unserialize().

## UnserializeUInt32()

uint32_t Serializable::UnserializeUInt32 | ( | std::istream & | stream | ) |

inline static

Definition at line 76 of file serializable.h.

References Unserialize().

Referenced by dyscostman::ThreadedDyscoColumn< DataType >::Header::Unserialize(), and Unserialize32bString().

## UnserializeUInt64()

uint64_t Serializable::UnserializeUInt64 | ( | std::istream & | stream | ) |

inline static

Definition at line 72 of file serializable.h.

References Unserialize().

Referenced by UnserializeString().

## UnserializeUInt8()

uint8_t Serializable::UnserializeUInt8 | ( | std::istream & | stream | ) |

inline static

Definition at line 84 of file serializable.h.

References Unserialize().

The documentation for this class was generated from the following file:

- tables/Dysco/serializable.h